# jnewInstance

Creates a new instance of a Java class

## Calling Sequence

                obj = jnewInstance(class [, arg_1 [, arg_2... ]])

## Parameters

class

  A mlist typed _JClass or a string containing the class name

arg_i

  A Scilab data or a mlist typed _JObj

obj

  A mlist typed _JObj

## Description

Creates a new instance of a Java class obtained with jimport.

## Examples

                   jimport java.io.File;
                   jimport java.lang.System;

                   a = System.getProperty("java.io.tmpdir");
                   s = jnewInstance(File, a);
                   s.exists() // true

                   str = jnewInstance("java.lang.String", "Hello");
                   b = str.substring(1, 4)

                   jremove Date System s str b a;

## See Also

- new
- jimport

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.